Get insights export

One of the main use case identified so far is about getting access programmatically to insights generated in SurfaceScout in order to create tickets in ERP systems

The API endpoint to use is the following one

POST https://api.surfacescout.live-eo.com/insights/geojson

the endpoint is also available for csv.

Headers

Authorization: Bearer <token>
Content-Type: application/geojson           # or application/geo+json
Accept: application/json                 # or application/geo+json

Required Fields:

  • criticality: low, medium, hig

  • createdTo: date in ISO 8601 format.

  • createdFrom ISO 8601 format.

  • status: new, escalated, in progress, closed, reopened

GeoJson Format Example

{
  "type": "FeatureCollection",
  "features": [
    {
      "type": "Feature",
      "properties": {
        "insightId": "550e8400-e29b-41d4-a716-446655440002",
        "timestepBefore": "2024-01-15",
        "timestepAfter": "2024-02-15",
        "mapLink": "https://www.google.com/maps/search/?api=1&query=23.16676929357106,57.85571911720045",
        "distanceToAsset": 25.3,
        "criticality": "high",
        "status": "new",
        "caseId": "550e8400-e29b-41d4-a716-446655440003",
        "caseTitle": "Case Title Example",
        "delivery": "delivery-123",
        "changeType": "Leakage",
        "detectedBy": "Patrol",
        "createdAt": "2024-01-15",
        "imageBefore": "https://example.com/image1",
        "imageAfter": "https://example.com/image2",
        "imageBeforeId": "550e8400-e29b-41d4-a716-446655440000",
        "imageAfterId": "550e8400-e29b-41d4-a716-446655440001",
        "mediaIds": "550e8400-e29b-41d4-a716-446655440004;550e8400-e29b-41d4-a716-446655440005"
      },
      "geometry": {
        "type": "Polygon",
        "coordinates": [
          [
            [
              -122.4194,
              37.7749
            ],
            [
              -122.4194,
              37.7759
            ],
            [
              -122.4184,
              37.7759
            ],
            [
              -122.4184,
              37.7749
            ],
            [
              -122.4194,
              37.7749
            ]
          ]
        ]
      }
    }
  ]
}

Last updated